JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | Protected Member Functions | List of all members
DeletedAtShutdown Class Reference
juce_events » messages

Classes derived from this will be automatically deleted when the application exits. More...

`#include <juce_DeletedAtShutdown.h>`

Inheritance diagram for DeletedAtShutdown:

## Static Public Member Functions
static void | deleteAll ()
| Deletes all extant objects.

## Protected Member Functions
| DeletedAtShutdown ()
| Creates a DeletedAtShutdown object.
virtual | ~DeletedAtShutdown ()
| Destructor.

## Detailed Description

Classes derived from this will be automatically deleted when the application exits.

After JUCEApplicationBase::shutdown() has been called, any objects derived from DeletedAtShutdown which are still in existence will be deleted in the reverse order to that in which they were created.

So if you've got a singleton and don't want to have to explicitly delete it, just inherit from this and it'll be taken care of.

## Constructor & Destructor Documentation

## ◆ DeletedAtShutdown()

DeletedAtShutdown::DeletedAtShutdown | ( |  | ) |
| protected

Creates a DeletedAtShutdown object.

## ◆ ~DeletedAtShutdown()

virtual DeletedAtShutdown::~DeletedAtShutdown | ( |  | ) |
| protected virtual

Destructor.

It's ok to delete these objects explicitly - it's only the ones left dangling at the end that will be deleted automatically.

## Member Function Documentation

## ◆ deleteAll()

static void DeletedAtShutdown::deleteAll | ( |  | ) |
| static

Deletes all extant objects.

This shouldn't be used by applications, as it's called automatically in the shutdown code of the JUCEApplicationBase class.

The documentation for this class was generated from the following file:

- juce_DeletedAtShutdown.h